# Method: projects.locations.cloudLocations.list

- [HTTP request](https://docs.cloud.google.com/location-finder/docs/reference/rest/v1alpha/projects.locations.cloudLocations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/location-finder/docs/reference/rest/v1alpha/projects.locations.cloudLocations/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/location-finder/docs/reference/rest/v1alpha/projects.locations.cloudLocations/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/location-finder/docs/reference/rest/v1alpha/projects.locations.cloudLocations/list#body.request_body)
- [Response body](https://docs.cloud.google.com/location-finder/docs/reference/rest/v1alpha/projects.locations.cloudLocations/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/location-finder/docs/reference/rest/v1alpha/projects.locations.cloudLocations/list#body.ListCloudLocationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/location-finder/docs/reference/rest/v1alpha/projects.locations.cloudLocations/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/location-finder/docs/reference/rest/v1alpha/projects.locations.cloudLocations/list#body.aspect_1)

Lists cloud locations under a given project and location.

### HTTP request

`GET https://cloudlocationfinder.googleapis.com/v1alpha/{parent=projects/*/locations/*}/cloudLocations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of cloud locations. Format: projects/{project}/locations/{location} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of cloud locations to return per page. The service might return fewer cloud locations than this value. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. Provide page token returned by a previous 'cloudLocations.list' call to retrieve the next page of results. When paginating, all other parameters provided to 'cloudLocations.list' must match the call that provided the page token. |
| `filter` | `string` Optional. A filter expression that filters resources listed in the response. The expression is in the form of field=value. For example, 'cloudLocationType=CLOUD_LOCATION_TYPE_REGION'. Multiple filter queries are space-separated. For example, 'cloudLocationType=CLOUD_LOCATION_TYPE_REGION territoryCode="US"' By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly. |

### Request body

The request body must be empty.

### Response body

Message for response to listing cloud locations.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "cloudLocations": [ { object (`https://docs.cloud.google.com/location-finder/docs/reference/rest/v1alpha/projects.locations.cloudLocations#CloudLocation`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `cloudLocations[]` | ``object (`https://docs.cloud.google.com/location-finder/docs/reference/rest/v1alpha/projects.locations.cloudLocations#CloudLocation`)`` Output only. List of cloud locations. |
| `nextPageToken` | `string` Output only. The continuation token, used to page through large result sets. Provide this value in a subsequent request as pageToken in subsequent requests to retrieve the next page. If this field is not present, there are no subsequent results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `cloudlocationfinder.cloudLocations.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).